org.springframework.data.relational.core.conversion

## Class DbAction.AcquireLockAllRoot<T>

- java.lang.Object
- - org.springframework.data.relational.core.conversion.DbAction.AcquireLockAllRoot<T>

Type Parameters:
  `T` - type of the entity for which this represents a database interaction.

All Implemented Interfaces:
  DbAction<T>

Enclosing interface:
  DbAction<T>

    public static final class DbAction.AcquireLockAllRoot<T>
    extends Object
    implements DbAction<T>

Represents an acquire lock statement for all aggregate roots of a given type.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.data.relational.core.conversion.DbAction

`DbAction.AcquireLockAllRoot<T>, DbAction.AcquireLockRoot<T>, DbAction.Delete<T>, DbAction.DeleteAll<T>, DbAction.DeleteAllRoot<T>, DbAction.DeleteRoot<T>, DbAction.Insert<T>, DbAction.InsertRoot<T>, DbAction.Merge<T>, DbAction.Update<T>, DbAction.UpdateRoot<T>, DbAction.WithDependingOn<T>, DbAction.WithEntity<T>, DbAction.WithGeneratedId<T>, DbAction.WithPropertyPath<T>`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<T>` `getEntityType()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getEntityType

    public Class<T> getEntityType()

Specified by:
  `getEntityType` in interface `DbAction<T>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`